<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }

if(isset($_POST['id'])){
if(!empty($_POST['id'])){
$id = intval($_POST['id']);

//Проверка заявки
$out = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT ".DB_PREFIX."_adm_cash_out.id,usr,s,log,ti FROM `".DB_PREFIX."_adm_cash_out` INNER JOIN ".DB_PREFIX."_users ON ".DB_PREFIX."_adm_cash_out.usr = ".DB_PREFIX."_users.uid INNER JOIN ".DB_PREFIX."_pay_systems ON ".DB_PREFIX."_adm_cash_out.ps = ".DB_PREFIX."_pay_systems.id WHERE wu_adm_cash_out.id='$id' LIMIT 1"));
if (empty($out['id'])) { wu_log_act(2, 'Пытался удалить не существующую заявку на вывод средств #'.wu_filter($_POST['id'])); exit('wu-error'); }
$sum = $out['s'];
if ($out['usr'] !== $u_id) { wu_log_act(2, "Пытался удалить чужую заявку на вывод средств с суммой $sum руб, владелец заявки - $out[log]"); exit('wu-error'); }

mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_users` SET `bal` = `bal`+'$sum' WHERE uid = '$u_id' LIMIT 1");
mysqli_query($connect_db, "DELETE FROM `".DB_PREFIX."_adm_cash_out` WHERE id='$id' LIMIT 1");
wu_log_act(0, "Удалил заявку на вывод средств с суммой $sum руб, платёжная система $out[ti]");
exit('1');
} else { exit('wu-error'); }
} else { exit('wu-error'); }
?>